#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main()
{
    char c1,c2,n[100000];
    int a1,a2,i;
    scanf("%c%c",&c1,&c2);
    scanf("%d%d",&a1,&a2);
    if(a1>a2+2 || a2>a1+2)
        printf("nemoguce");
    else
        if(a1>a2)
   for(i=0;i<a1+a2;i++)
   {
    n[i]+=c1;
        i++;
        if(i>=a1+a2)
        break;
        else
    n[i]+=c2;
   }
        else
   for(i=0;i<a1+a2;i++)
   {
       n[i]+=c2;
        i++;
        if(i>=a1+a2)
        break;
        else
       n[i]+=c1;
   }
    printf("%s",n);
    return 0;
}